> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all activity logs



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/activity-logs
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/activity-logs:
    get:
      tags:
        - ActivityLog
      summary: Get all activity logs
      operationId: activityLog.index
      parameters:
        - name: per_page
          in: query
          description: The number of items per page.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
            maximum: 100
        - name: page
          in: query
          description: The page number.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
        - name: sort_by
          in: query
          description: The field to sort by.
          schema:
            type:
              - string
              - 'null'
            enum:
              - created_at
              - event
              - subject_type
        - name: sort_order
          in: query
          description: The sort direction (asc or desc).
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
        - name: event
          in: query
          description: Filter by event type.
          schema:
            type:
              - string
              - 'null'
            enum:
              - created
              - updated
              - deleted
        - name: subject_type
          in: query
          description: Filter by subject type.
          schema:
            type:
              - string
              - 'null'
            maxLength: 255
        - name: subject_id
          in: query
          description: Filter by subject ID.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
        - name: causer
          in: query
          description: >-
            Filter by causer: literal "system" or a positive integer (e.g. user
            id).
          schema:
            type:
              - string
              - 'null'
            pattern: ^(system|[1-9]\d*)$
        - name: created_from
          in: query
          description: Filter by start date.
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: created_until
          in: query
          description: Filter by end date.
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: Paginated set of `ActivityLogResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ActivityLogResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ActivityLogResource:
      anyOf:
        - type: object
          properties:
            id:
              type: integer
            tenant_id: {}
            log_name:
              type:
                - string
                - 'null'
            description:
              type: string
            subject_type:
              type:
                - string
                - 'null'
            subject_id:
              type:
                - integer
                - 'null'
            event:
              type:
                - string
                - 'null'
            causer_type:
              type:
                - string
                - 'null'
            causer_id:
              type:
                - integer
                - 'null'
            properties:
              type:
                - object
                - 'null'
            batch_uuid:
              type:
                - string
                - 'null'
            created_at:
              type:
                - string
                - 'null'
              format: date-time
            updated_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - id
            - tenant_id
            - log_name
            - description
            - subject_type
            - subject_id
            - event
            - causer_type
            - causer_id
            - properties
            - batch_uuid
            - created_at
            - updated_at
        - type: array
          items:
            type: string
          minItems: 0
          maxItems: 0
          additionalItems: false
      title: ActivityLogResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````